Support » Networking WordPress » Wp version 5.1.1, updating failed right after installing multisite network!

  • Using wp 5.1.1 on LAMP and Chrome browser:

      Here is what I KNOW because I specifically tested it twice to confirm.

    On vanilla wordpress install with default theme and no added plugins, I can publish page with no errors.

    After installing the multisite network, (with only default plugins and themes and NO changes to anything else), I cannot publish a page.

    More specifically, when trying to save the pink bar displays “Updating Failed”.
    Viewing the console in chrome I get the following message:

    GET https://MYDOMAINNAME.com/wp-json/wp/v2/types/wp_block?_locale=user 404 (Not Found)

    This has me really scratching my head. I wiped everything and started fresh. The exact same thing happened again.

    To make matters worse I have spent 3 days scouring the internet, and have tried every reasonable suggestion. One thing I refuse to do is use the “disable gutenberg” or “classic editor” plugins as these are just ignoring the problem. I will be using the rest-api in many places in my sites.

    Remember this is an untouched 5.1.1 installation that was publishing fine but directly after multisite setup i get the “updating failed” and wp-json 404 error. (Yes i tried saving the permalinks multiple times, but didn’t change the problem.)

    Please please please if you think you know what is causing this problem let me know in the comments below.

    Can anyone clue me in on this?

Viewing 1 replies (of 1 total)
  • Okay, problem is solved!

    Here is what fixed this issue:

    Just add:
    <Directory /var/www/MY_WP_INSTALLATION_DIRECTORY>
    AllowOverride All
    </Directory>

    To /etc/apache2/apache2.conf

    So glad it is working! Still I find it strange that it worked on single site without this added code, but on multisite it had to have it. Does anyone know why?

Viewing 1 replies (of 1 total)
  • You must be logged in to reply to this topic.